(setq diagnose-verbose nil)

(def-controller-set K2000-controlles
  
  group MIDI-Control-Source
  
  Bank-Select                     0
  Modulation-Wheel                1
  Breath                          2
  Foot                            4
  Portamento-Time                 5
  Data                            6
  Volume                          7
  Balance                         8
  Pan                            10
  Express                        11
  Sustain                        64
  Portamento-Switch              65
  Sostenato-Switch               66
  Soft-Pedal                     67
  Frozen-Pedal                   69
  Legato-Switch                  75
  FX-Depth                       91
  Data-Increment                 96
  Data-Decrement                 97
  Panic                         123

  group Main-Control-Source

  Channal-State                  32
  Mono-Pressure                  33
  Bipolar-Mono-Pressure          34
  Pitch-Wheel-Message            35
  Bipolar-MWheel                 36
  Absolute-Value-of-Pitch-Wheel  37
  Global-ASR2                    38 
  Global-FUN2                    39
  Global-LFO                     40
  Global-LFO-Phase               41
  Global-FUN4                    42
  Volume-Control                 43
  Pan-Control                    44
  Balance-Control                45
  Channel-Control                46
  Sync-State                     55
  A-Clock                        56
  Negative-A-Clock               57
  B-Clock                        58
  Negative-B-Clock               59
  Global-Phase1                  60
  Global-Phase2                  61
  Global-Random-Variant1         62
  Global-Random-Variant2         63
  Note-State                     96
  Key-State                      97
  Key-Number                     98
  Bipolar-Key-Number             99
  Attack-Velocity               100
  Inverse-Attack-Velocity       101
  Polyphonic-Preesure           102
  Bipolar-Polyphonic-Preesure   103
  Release-Velocity              104
  Bipolar-Attach-Velocity       105
  Velocity-Trigger1             106
  Velocity-Trigger2             107
  Randon-Variant1               108
  Randon-Variant2               109
  ASR1                          110
  ASR2                          111
  FUN1                          112
  FUN2                          113
  LFO1                          114
  LFO1-Phase                    115
  LFO2                          116
  LFO2-Phase                    117
  FUN3                          118
  FUN4                          119
  Amplitude-Envelope            120
  Envelope2                     121
  Envelope3                     122
  Loop-State                    123
  Sample-Playback-Rate          124
  Attack-State                  125
  Release-State                 126
  ON                            127
  -ON                           128
)

(def-sound-set K2000-sounds
  
  group Klavier1
  
  dual-elec-piano        (multi 100 52)
  tine-elec-piano        (multi 100 12)
  digital-epiano         (multi 100 92)
  stereo-grand           (multi 100 2)
  bright-piano           (multi 100 42)
  piano&slo-strings      (multi 100 22)
  piano/slow-strings     (multi 101 2)
  perc-organ             (multi 100 82)
  gospel-organ           (multi 100 62)
  ballad-organ           (multi 101 22)
  
  group Klavier2
  
  b-2000                 (multi 101 52)
  pipes1                 (multi 101 7)
  pipes2                 (multi 101 32)
  organellica            (multi 101 74)
  organarimba            (multi 101 67)
  brite-klav             (multi 100 32)
  dx-clav                (multi 101 12)
  quillsichord           (multi 101 42)
  akordian               (multi 101 38)
  toy-box                (multi 101 62)
  
  group Orchestral-Strings
  
  touch-string-orch      (multi 100 13)
  baroque-strings        (multi 101 13)
  grand-strings          (multi 100 23) 
  marcato-slow-strings   (multi 100 33)
  slow-solo-strings      (multi 100 93)
  ensemble-pizz          (multi 101 73)
  touch-orchestra        (multi 100 3)
  
  group Orchestral-Winds
  
  solo-flute             (multi 100 63)
  klarinet               (multi 101 83)
  orch-winds             (multi 100 53)
  
  group Orchestral-Brass
  
  orchestral-pad         (multi 101 57)
  hall-horns             (multi 100 43)
  orch-brass             (multi 100 83) 
  solo-trumpet           (multi 100 73)
  trombone               (multi 101 53)
  solo-bass-horn         (multi 101 93)
  harp-on-it             (multi 101 92)
  hall-kettle            (multi 101 33)
  glockenspiel           (multi 101 23)
  
  group Drum-Programs1
  
  preview-drums          (multi 100 4)
  three-layer-kit        (multi 101 4)
  rock-kit               (multi 100 54)
  real-drums             (multi 100 64)
  castle-drums           (multi 100 34)
  west-room-kit          (multi 100 24)
  general-midi-drums     (multi 100 44)
  dance-kit              (multi 101 14)
  beat-box               (multi 100 94)
  street-drums           (multi 100 84)
  
  group Drum-Programs2
  
  orch-percussion        (multi 100 14)
  dyn-percussion         (multi 100 74)
  5-8ve-precussion       (multi 101 3)
  native-drum            (multi 101 80)
  bell-tree>big-bell     (multi 101 24)
  bells                  (multi 101 44)
  wave-bells             (multi 101 54)
  clockbells             (multi 100 91)
  vibratone              (multi 101 47)
  wood-bars              (multi 101 87)
  click                  (multi 101 98)
  
  group Guitars1
  
  steel-string-guitar    (multi 100 15)
  acoustic-12-string     (multi 100 45)
  acoustic-gtr&strings   (multi 101 55)
  classical-gtr          (multi 101 75)
  slow-chorus-gtr        (multi 100 55)
  clean-lead-gtr         (multi 101 15)
  sweetar                (multi 100 95)
  rockin-lead            (multi 101 85)
  press-wah-wah          (multi 100 25)
  crank-it-up            (multi 100 5)
  williamsong            (multi 100 72)
  
  group Guitars2
  
  helter-skelter-gtr     (multi 101 25)  
  soon                   (multi 101 35)
  heavee-metal           (multi 101 97)
  kotolin                (multi 101 45)
  cee-tuar               (multi 100 85)
  ravitar                (multi 100 75)
  syncro-taps            (multi 101 65)
  guitar-mutes1          (multi 100 65)
  guitar-mutes2          (multi 101 5)
  dist-harmonics         (multi 100 35)
  
  group Basses1
  
  dual-bass              (multi 100 6)
  finger-bass            (multi 100 66)
  warm-bass              (multi 100 76)
  funk-me-bass           (multi 100 16)
  too-bad-bass           (multi 101 6)
  no-frets               (multi 100 26)
  walking-bass           (multi 101 46)
  acous-bass&ride/piano  (multi 101 58)
  pop-attack-bass        (multi 100 56)
  hammer-bass            (multi 100 86)
  
  group Basses2
  
  d-house-bass           (multi 100 36)
  big-mono-bass          (multi 100 46)
  mondo-bass             (multi 100 96)
  mogue-bass             (multi 101 56)
  wonder-synth-bass      (multi 101 16)
  the-buzz               (multi 101 86)
  press-for-effect       (multi 100 80)
  dyno-synbrass          (multi 101 20)
  alaska                 (multi 101 26)
  metallica              (multi 101 66)
  
  group Vocal-Programs
  
  mixes-choir            (multi 100 17)
  fair-breath            (multi 100 7)
  wind-vox               (multi 100 57)
  low-world-vox          (multi 100 27)
  digital-choir          (multi 100 67)
  pers-voices            (multi 100 37)
  bamboo-voices          (multi 100 47)
  mallet-voice           (multi 100 77)
  talk-talk              (multi 101 76)
  death-to-the-voices    (multi 100 87)
  
  group Jazz-Programs1
  
  miles-unmuted          (multi 100 18)
  20s-trumpet            (multi 100 28)
  almost-muted           (multi 101 28)
  trumpet&bone           (multi 100 8)
  hip-brass              (multi 100 68)
  brass-vtrig-stab       (multi 100 88)
  jethros-flute          (multi 101 8)
  waterflute             (multi 101 77)
  synth-wood-flute       (multi 101 60)
  
  group Jazz-Programs2
  
  tenor-sax              (multi 100 38)      
  street-corner-sax      (multi 100 48)
  get-real-bari          (multi 100 58)
  reed-section           (multi 100 78)
  jazz-quartet           (multi 100 98)
  rock-quartet           (multi 101 72)
  dig-that-dc-lead       (multi 101 10)
  pinger                 (multi 101 9)
  islanders              (multi 100 40)
  orient-wind            (multi 101 18)
  
  group Synth-Programs1
  
  new-prophet            (multi 100 11)
  auto-wavesession       (multi 100 41)
  gargantuan             (multi 100 71)
  passion-source         (multi 100 21)
  nigth-ryder            (multi 100 51)
  flatliners             (multi 100 81)
  3rd-world-order        (multi 100 1)
  fantasia               (multi 100 31)
  glasswaves             (multi 100 61)
  glassy-eyes            (multi 101 64)
  
  group Synth-Programs2
  
  klakran               (multi 101 11)
  multi-texture         (multi 101 41)
  sweeper               (multi 101 71)
  lunar-dance           (multi 101 21)
  tranguility           (multi 101 51)
  stratosphere          (multi 101 81)
  ethereal-strings      (multi 101 1)
  deep-atmospheres      (multi 101 31)
  shimmerling           (multi 101 61)
  ethereal-echoes       (multi 101 91)
  
  group Synth-Programs3
  
  bella-voce             (multi 100 19)
  all-in-the-fader       (multi 100 49)
  outside-l/a            (multi 100 79)
  anas-saws              (multi 100 29)
  vectoring              (multi 100 59)
  velveteen              (multi 100 89)
  rock-stack             (multi 100 9)
  cars-sync              (multi 100 39)
  utopian-comp           (multi 100 69)
  modular-lead           (multi 100 99)
  
  group Synth-Programs4
  
  press-for-thunder      (multi 101 29)
  timeshift              (multi 100 10)
  northen-winds          (multi 101 89)
  industrial-komp        (multi 101 39)
  through-the-blue       (multi 101 69)
  orch-hit               (multi 101 63)
  40-something           (multi 101 19)
  the-nigth-shift        (multi 101 49)
  rainforest-crunch      (multi 101 79)
  in-the-well            (multi 101 59)
  
  group Synth-Programs5
  
  fun-delay-square       (multi 100 30)
  lucky-lead             (multi 100 70)
  hi-res-sweeper         (multi 101 30)
  2000-odyssey           (multi 100 50)
  hybrid-sweep           (multi 100 90)
  clock-s&h-lead         (multi 101 40)
  big-jupiter            (multi 100 20)
  stereo-sweeps          (multi 100 60)
  balarimba              (multi 101 0)
  7th-world-string       (multi 101 50)
  
  group Synth-Programs6
  
  touchdown              (multi 101 27)
  auto-percussion        (multi 101 34)
  brass-fanfare          (multi 100 97)
  sisternal              (multi 101 37)
  toto-brass             (multi 101 43)
  oh-bee!                (multi 101 36)
  stackoid               (multi 101 17)
  default-program        (multi 101 99)
  riding-the-rails       (multi 101 96)
  analog-brazz           (multi 101 48)
  
  group Synth-Programs7
  
  pulsar                 (multi 101 70)
  press-evolution        (multi 101 84)
  alien-industry         (multi 101 94)
  lonely-fifths          (multi 101 78)
  poly-analog-5th        (multi 101 88)
  slow-flange-string     (multi 101 95)
  am-square-synth        (multi 101 68)
  guitar/flute           (multi 101 82)
  doomsday               (multi 101 90)     
)

(setq diagnose-verbose t)

