;; menubar control
;
; this enables to emulate Macintosh menubar, and is handy
; if you are working on both platforms allowing to align
; work-flow on both Mac and PC. Since windows has no menubar
; this requires a bit tweaking to make it happen. Use the menubar
; if you are into Windows tweaking, otherwise use the standard
; windows menu.
;
; since a typical SCOM session tends to keep very many windows
; open during working, the menu bar takes additional space
; off from the editor window size, and having just a one
; menu will leave more room for editing, and reduces the
; information in sight for added performance increase

; to make menubar change in effect, do the following
;   save this file
;   exit SCOM
;   remove Environment/Setup/Desktop file
;   restart SCOM

; IMPORTANT! if the window gets under the floating menubar
; resize the bar from the bottom, after resize it will shift a
; bit down and allows to move it, and access the window below it,
; when ready close the menubar, it will reposition itself on the top

; t=include all the menus on every editor window
; nil=use single Macintosh menubar on the top

(setq *use-windows-menubar* t)

; if above is set to nil, then these may need adjusting
; due differences on the Windows theme settings concerning
; window title height which may vary according to the theme
;
;    *menubar-position-tweak* and
;    *menubar-height*

; shift menubar window title up for 25 pixels
; this hides the title bar and the resulting menubar
; looks quite the same as in machintosh
; use Window theme settings to specify the menu font and size

; shifting the position up -30 pixels

; on windows default settings use (setq *menubar-position-tweak* -30)
(setq *menubar-position-tweak* -25) ; with mac style

; shifting the position left for -4 pixels

(setq *menubar-position-tweak2* -4)

; this control ensures that editor and document windows do not
; appear on the menubar

; when emulating mac menubar set the menubar-height to about half

(setq *menubar-height* 24)

; you can also set the menubar to be flotating or use a
; normal window, flotation has it's advantages but since it
; will stay on top overriding the windows start bar, or
; objectbar, or a similar Mac doc emulator, you may choose
; it to be a normal window

(setq *menubar-flotation* nil) ; use t for floation

;; the following set window background, font color and style

; main editor window

(defparameter *editor-bcolor* :snow2)
(defparameter *editor-fcolor* :black)
(defparameter *editor-font-name* "courier new")
(defparameter *editor-font-size* 8)
(defparameter *editor-font-style* :roman)
(defparameter *editor-font-weight* :medium)

; documents and functions windows

(defparameter *functions-bcolor* :snow1)
(defparameter *functions-fcolor* :black)
(defparameter *functions-font-name* "courier new")
(defparameter *functions-font-size* 8)
(defparameter *functions-font-style* :roman)
(defparameter *functions-font-weight* :medium)

; note: use "courier new", proportionals do not work with editor
;       use windows font smoothing to increase 8 point readability
;           - specially if style :italic is used

; this one sets up the colors used to draw scope items
; this list is interpreted as
; 1 simultaneous items = :green
; 2,3,4 simultaneous items = :red
; 5,6,7 simultaneous items = :magenta
; etc
; last = if there are more simulataneus items last one is used
; you can define the coloring scheme to highlight certain
; density categories this way.

(setq *scope-colors* '(:green :red :red :red :magenta :magenta :magenta :yellow :yellow :yellow :white :white :white :cyan))

; here is more specific, each level has its own color
;
;(setq *scope-colors* '(:green :red :magenta :orange :gold :yellow :gray :lightgray :snow2 :white :lightblue :cyan :green :red :magenta :orange :gold :yellow :gray :lightgray :snow2 :white))

